package br.mp.mprj.portal.portlet.gestaomensagens.asset;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem;
import br.mp.mprj.portal.portlet.gestaomensagens.service.service.MensagemLocalServiceUtil;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portlet.asset.model.AssetRenderer;
import com.liferay.portlet.asset.model.BaseAssetRendererFactory;

public class MensagemAssetRendererFactory extends BaseAssetRendererFactory {

	private static final String TYPE = "mensagem";
	
	@Override
	public AssetRenderer getAssetRenderer(long classPK, int type)
			throws PortalException, SystemException {
		return new MensagemAssetRenderer(MensagemLocalServiceUtil.getMensagem(classPK));
	}

	@Override
	public String getClassName() {
		return Mensagem.class.getName();
	}

	@Override
	public String getType() {
		return TYPE;
	}

}
